#include <gtest/gtest.h>

#include <rofi/connector.hpp>
#include <rofi/voxel.hpp>
#include <rofi/voxel_graph.hpp>

#include <utils/math.hpp>


class VoxelTest : public testing::Test {
 protected:
  void SetUp() override {
    //  v1_.Enqueue(1);
    //  v2_.Enqueue(2);
    //  v2_.Enqueue(3);
  }

    rofi::Voxel v1 = rofi::Voxel(glm::vec3(0.0f, 0.0f, 0.0f));
    rofi::Voxel v2 = rofi::Voxel(glm::vec3(0.0f, 0.0f, 0.0f));
    rofi::Voxel v3 = rofi::Voxel(glm::vec3(0.0f, 0.0f, 0.0f));
};

// VoxelTest t;

// TEST_F(VoxelTest, t1)
// {
//     EXPECT_EQ(v1) << "2*1==2.";
// }

// TEST_F(VoxelTest, t2)
// {
//     EXPECT_EQ() << "2*3==6.";
// }